Loading...
Searching...
No Matches
BALL::DockResult::Scoring_ Class Reference

`#include <BALL/DOCKING/COMMON/dockResult.h>`

## Public Member Functions

| Scoring_ () throw ()
| Scoring_ (const Scoring_ &scoring) throw ()
| Scoring_ (const String &name, const Options &options, const vector< float > &scores, const vector< Index > &snapshot_order) throw ()
| ~Scoring_ () throw ()
const Scoring_ & | operator= (const Scoring_ &scoring) throw ()

## Public Attributes

String | name_
Options | options_
vector< float > | scores_
vector< Index > | snapshot_order_

## Detailed Description

Nested class in DockResult. This class contains information about the scoring: name of the scoring function, options of the function and scores

Definition at line 212 of file dockResult.h.

## Constructor & Destructor Documentation

## Scoring_() [1/3]

BALL::DockResult::Scoring_::Scoring_ | ( |  | ) |
throw | ( | ) |  |  |

Default Constructor

## Scoring_() [2/3]

BALL::DockResult::Scoring_::Scoring_ | ( | const Scoring_ & | scoring | ) |
throw | ( | ) |  |  |

Copy constructor

## Scoring_() [3/3]

BALL::DockResult::Scoring_::Scoring_ | ( | const String & | name,
|  | const Options & | options,
|  | const vector< float > & | scores,
|  | const vector< Index > & | snapshot_order )
throw | ( | ) |  |  |

Constructor

## ~Scoring_()

BALL::DockResult::Scoring_::~Scoring_ | ( |  | ) |
throw | ( | ) |  |  |

Destructor

## Member Function Documentation

## operator=()

const Scoring_ & BALL::DockResult::Scoring_::operator= | ( | const Scoring_ & | scoring | ) |
throw | ( | ) |  |  |

Assignment operator

## Member Data Documentation

## name_

String BALL::DockResult::Scoring_::name_

Name of scoring function

Definition at line 240 of file dockResult.h.

## options_

Options BALL::DockResult::Scoring_::options_

options of scoring function

Definition at line 243 of file dockResult.h.

## scores_

vector<float> BALL::DockResult::Scoring_::scores_

Vector of scores The score at position i belongs to the snapshot i

Definition at line 247 of file dockResult.h.

## snapshot_order_

vector<Index> BALL::DockResult::Scoring_::snapshot_order_

Vector of snapshot indices The indices are sorted by their scores

Definition at line 251 of file dockResult.h.